{% load static %}
<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8" />
      <title>Notes List</title>
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
      <link rel="stylesheet" type="text/css" href="{% static 'lab4/lab4_style_note.css' %}">

    </head>

   <nav class="navbar navbar-expand-lg navbar-dark" style="background-color: #303245;">
      <a class="navbar" style="color: #d1d1d1;">Notes 📝</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="/lab-4/" >Home</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/lab-4/add-note">Add Note</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/lab-4/note-list">Cards</a>
          </li>
        </ul>
      </div>
    </nav>

    <br>
   <body style="background-color: #1f2029;">
      <div class="card-columns">
          {% if notes %}
          {% for data in notes %}
          <div class="card text-center">
            <div class="card-header" style="background-color: #15172b;">
              <h4 style="color: #ffeba7;"> {{ data.title }}</h4>
            </div>
            <div class="card-body" style="background-color: #2a2b38;">
              <p class="card-text" style="color: #d1d1d1;"> To: {{ data.to }}</p>
              <p class="card-text" style="color: #d1d1d1;"> From: {{ data.From }}</p>
              <!-- <p class="card-text" style="color: #d1d1d1;"> Title: {{ data.title }}</p> -->
              <p class="card-text" style="color: #d1d1d1;"> {{ data.message }}</p>
            </div>
        </div>
          <br>
         {% endfor %}
         {% endif %}
      </div>
   </body>
</html>